<comment>
    # 组件注释
</comment>
<template>
    <div class="childrenComponentByemit children0">
      <p>子组件</p>
      <!--{{parentMsg}}-->
      <button @click="btnClick('$emit方式')">$emit方式</button>
    </div>
</template>

<script>
    //import logo from '../../../static/logo.png'
    export default {
        name: 'childrenComponentByemit',
        components: {
            //Xgplayer :  () => import('../xgplayer'),
        },
        data() {
            return {

            }
        },
        //作为子组件的时候应用父组件的时候设定的变量
        props: {
          children : String
        },
        //用来观察 方法 对象 变量 有变化 走的回调方法
        watch: {},
        //正常方法
        methods: {
          btnClick() {
            //发给监听这个方法的父布局
            this.$emit("titleChanged","子向父组件传值");//自定义事件  传递值“子向父组件传值”
          }
        },
        //计算方法
        computed: {},
        //生命周期 渲染html之前 可以初始化数据
        created() {

        },
        //生命周期 渲染html完毕 可以dom操作
        mounted() {

        },
        //生命周期 离开这个页面
        destroyed() {

        }
    }
</script>

<style scoped>
  .children0{
    width: 14rem;
    height: 4rem;
    background: #ff627a;
  }
</style>
